Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages.discovery
[Java] Class CachingGroovyPageStaticResourceLocator

    java.lang.Object
      org.codehaus.groovy.grails.core.io.DefaultResourceLocator
          org.codehaus.groovy.grails.web.pages.discovery.GroovyPageStaticResourceLocator
              org.codehaus.groovy.grails.web.pages.discovery.CachingGroovyPageStaticResourceLocator

    public class CachingGroovyPageStaticResourceLocator
    extends GroovyPageStaticResourceLocator

Extends GroovyPageStaticResourceLocator adding caching of the result of GroovyPageStaticResourceLocator.findResourceForURI.

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary

Fields inherited from class DefaultResourceLocator
CLOSURE_MARKER, FILE_SEPARATOR, NULL_RESOURCE, WEB_APP_DIR, WILDCARD, classNameToResourceCache, classSearchDirectories, defaultResourceLoader, patchMatchingResolver, pluginManager, resourceSearchDirectories, uriToResourceCache, warDeployed

Method Summary
`org.springframework.core.io.Resource` | `findResourceForURI(java.lang.String uri)`
`long` | `getCacheTimeout()`
`void` | `setCacheTimeout(long cacheTimeout)`

Methods inherited from class GroovyPageStaticResourceLocator
findResourceForURI

Methods inherited from class DefaultResourceLocator
findResourceForClassName, findResourceForURI, findResourceInBinaryPlugins, getDefaultResourceLoader, setPluginManager, setResourceLoader, setSearchLocation, setSearchLocations

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### findResourceForURI

    @java.lang.Override
    public org.springframework.core.io.Resource findResourceForURI(java.lang.String uri)

### getCacheTimeout

    public long getCacheTimeout()

### setCacheTimeout

    public void setCacheTimeout(long cacheTimeout)

Groovy Documentation